<?php
/*
Plugin Name: WP Click Info
Plugin URI: http://saquery.com/wordpress/wp-click-info/					           
Description: Your external <a href="admin.php?page=wp-click-info">Blog Link Reports</a> | <a href="http://wordpress.org/extend/plugins/wp-click-info/changelog/" target="_blank">Changelog</a>
Version: 2.3.6
Author: Stephan Ahlf
Author URI: http://saquery.com
*/


	$wpdb->saqClicks = "SAQ_CLICK_STATISTICS";
	$saqClickCheck_db_version = "0.1";
	class wp_click_info{
		function admin_init() {
			register_setting( 'wpclickinfoOptions', 'hideExternalLinkIco' );
			register_setting( 'wpclickinfoOptions', 'doNotOpenNewWindow' );
			register_setting( 'wpclickinfoOptions', 'hideStats' );
			register_setting( 'wpclickinfoOptions', 'recordAdminUser' );
			register_setting( 'wpclickinfoOptions', 'recordRegisteredUser' );
		}
		
		function init() {
			global $wpdb;
			$sql="CREATE TABLE IF NOT EXISTS ".$wpdb->saqClicks."(
			REFERER varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
			URL varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
			CLICKS INT(11) NOT NULL,
			DT DATETIME NOT NULL, 
			UNIQUE (REFERER,URL)
			) ENGINE = MYISAM CHARACTER SET ascii COLLATE ascii_general_ci ";
				require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
				dbDelta($sql);
		}

		function plugin_options(){
			require_once dirname(__FILE__).'/wp-click-info.options.php';
		}
		function plugin_timeline(){
			require_once dirname(__FILE__).'/wp-click-info.timeline.php';
		}

		
		function options() {

			global $wpdb;
//			$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");

			?>
<style>
.wp-click-info-table
{
	
	margin-top:11px;
	width: 100%;
	border-collapse: collapse;
	text-align: left;
}
.wp-click-info-table th
{
	font-size: 14px;
	font-weight: bold;
	padding: 10px 8px;
	border-bottom: 2px solid #6678b1;
}
.wp-click-info-table td
{
	font-size: 10px;
	border-bottom: 1px solid #ccc;
	padding: 6px 8px;
	vertical-align:top;
	background-color:#fff;
}
.wp-click-info-table tbody tr:hover td
{
	color: #009;
}
</style>
				<div class="update-nag"><br>
					<p><strong>Thank you for using WP Click Info! </strong><span style="color:#990000;">If you think this software is useful please support the development with a donation or <a href="http://wordpress.org/extend/plugins/wp-click-info/stats/" target="_blank">rate this Plugin</a>.</span><br>Feel free to contact me for support or feature requests at <a href="http://saquery.com/wordpress/wp-click-info/" >saquery.com/wordpress/wp-click-info/</a> or <a href="mailto:webmaster@saquery.com"> via EMail</a><br>
					</p><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
					
					<input type="hidden" name="cmd" value="_s-xclick">
					<input type="hidden" name="hosted_button_id" value="SQRUU7JKE7KFS">
					<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
					<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/de_DE/i/scr/pixel.gif" width="1" height="1">
					</form>
				</div>
			<div class='wrap'>
				<table class="wp-click-info-table">
					<tr>
						<th>Top Targets</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

				<table class="wp-click-info-table">
					<tr>
						<th>Top Referrer</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT REFERER, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY REFERER ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->REFERER)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

				

				
				<table class="wp-click-info-table">
					<tr>
						<th>Top Target by Referrer</th>
						<th>Referrer</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, REFERER, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL, REFERER ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->REFERER</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

				<table class="wp-click-info-table">
					<tr>
						<th>Top Referrer by Target</th>
						<th>Target</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT REFERER, URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY REFERER, URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>$row->REFERER</td>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						
			</div>
			<?php
			
		}
		
		function wp_print_scripts(){		
			wp_enqueue_script('jquery');			
		
			$u = plugins_url( '/', __FILE__ )."wp-click-info.js.php";
			$v = '1.0';
			wp_deregister_script( 'wp-click-info' );
			wp_register_script( 'wp-click-info', $u, array(), $v, false);
			wp_enqueue_script('wp-click-info');
		}
		function wp_print_admin_scripts(){				
		}

		function wp_print_styles() {
			$u = plugins_url( '/', __FILE__ )."wp-click-info.css";			
			wp_register_style('wp-click-info-style', $u);
			wp_enqueue_style( 'wp-click-info-style');
		
		}

		function admin_menu(){
			$u = plugins_url( '/', __FILE__ )."dygraph-combined.js";
			$v = '1.0';
			wp_deregister_script( 'dygraph' );
			wp_register_script( 'dygraph', $u, array(), $v, false);
			wp_enqueue_script('dygraph');

			add_menu_page('WP Click Info', 'WP Click Info', 'administrator', 'wp-click-info', array('wp_click_info','options'));
			add_submenu_page( 'wp-click-info', 'Timeline', 'Timeline', 'manage_options', 'wp-click-info-timeline', array('wp_click_info','plugin_timeline'));
			add_submenu_page( 'wp-click-info', 'Settings', 'Options', 'manage_options', 'wp-click-info-options', array('wp_click_info','plugin_options'));
			add_action( 'admin_init', array('wp_click_info','admin_init') );
		}	
		
		
		function saqDashboardClickCheck() {
				global $wpdb;
		?>
<style>
.wp-click-info-table
{
	width: 100%;
	border-collapse: collapse;
	text-align: left;
}
.wp-click-info-table th
{
	font-size: 14px;
	font-weight: bold;
	padding: 10px 8px;
	border-bottom: 2px solid #6678b1;
	background-color:#fff;
}
.wp-click-info-table td
{
	font-size: 8px;
	border-bottom: 1px solid #ccc;
	padding: 6px 8px;
	vertical-align:top;
	background-color:#fff;
}
.wp-click-info-table tbody tr:hover td
{
	color: #009;
}
</style>
			<div class='wrap'>
				<table class="wp-click-info-table">
					<tr>
						<th>Top 10 Targets</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 10");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						
				<div>
					<div style="margin-top:11px;text-align:right;"><a onclick="jQuery(this).parent().next().toggle();" href="javascript:void(0);">about</a></div>
					<div style="display:none;">
						<p>
							Contact for support or feature requests at <a href="http://saquery.com/wordpress/wp-click-info/" >saquery.com/wordpress/wp-click-info/</a> or <a href="mailto:webmaster@saquery.com"> via EMail</a>
						</p>
						<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
						
						<input type="hidden" name="cmd" value="_s-xclick">
						<input type="hidden" name="hosted_button_id" value="SQRUU7JKE7KFS">
						<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
						<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/de_DE/i/scr/pixel.gif" width="1" height="1">
						</form>
					</div>
				</div>
			</div>
		<?php
		}


		function wp_dashboard_setup() {
			wp_add_dashboard_widget( 'saqDashboardClickCheck', __( 'WP Click Info' ), array('wp_click_info', 'saqDashboardClickCheck') );
		}
	}
	add_action('admin_menu', array('wp_click_info','admin_menu'));
	add_action('wp_print_scripts', array('wp_click_info', 'wp_print_scripts'), 1);
	add_action('wp_print_styles', array('wp_click_info', 'wp_print_styles'));
	add_action('wp_dashboard_setup', array('wp_click_info', 'wp_dashboard_setup'));
	
	if(isset($_GET['activate']) && $_GET['activate'] == 'true')
	add_action('init', array('wp_click_info', 'init'));
?>
